package day07

import (
	"testing"

	"github.com/stretchr/testify/require"
)

func TestPart1(t *testing.T) {
	r := Part1(
`32T3K 765
T55J5 684
KK677 28
KTJJT 220
QQQJA 483`)
	require.Equal(t, 6440, r)
}

func TestPart2(t *testing.T) {
	r := Part2(
		`32T3K 765
		T55J5 684
		KK677 28
		KTJJT 220
		QQQJA 483`)
	require.Equal(t, 5905, r)
}
func TestPart21(t *testing.T) {
	r := Part2(
		`QQKKJ 765
		JKKK2 684`)
	require.Equal(t, 5905, r)
}